claw::pair_first< Pair > Class Template Reference

Fuction object to get the first element of a std::pair. More...

`#include <functional.hpp>`

Inheritance diagram for claw::pair_first< Pair >:

## Additional Inherited Members

Public Types inherited from claw::first< Pair::first_type, Pair::second_type >
using | argument_type
using | result_type
Public Member Functions inherited from claw::first< Pair::first_type, Pair::second_type >
Pair::first_type & | operator() (std::pair< Pair::first_type, Pair::second_type > &p) const

## Detailed Description

template<class Pair>
class claw::pair_first< Pair >

Fuction object to get the first element of a std::pair.

Remarks
  Contrary to claw::first, the template argument is a std::pair.

Author
  Julien Jorge

Definition at line 84 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp